# PolygonHierarchy

#### new Cesium.PolygonHierarchy(positions, holes)
Core/PolygonHierarchy.js 16

An hierarchy of linear rings which define a polygon and its holes. The holes themselves may also have holes which nest inner polygons.

Name | Type | Description
--- | --- | ---
`positions` | Array.<Cartesian3> | optional A linear ring defining the outer boundary of the polygon or hole.
`holes` | Array.<PolygonHierarchy> | optional An array of polygon hierarchies defining holes in the polygon.

### Members

#### holes : Array.<PolygonHierarchy>
Core/PolygonHierarchy.js 27

An array of polygon hierarchies defining holes in the polygon.

#### positions : Array.<Cartesian3>
Core/PolygonHierarchy.js 21

A linear ring defining the outer boundary of the polygon or hole.